;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          data.lisp
;;;; Purpose:       Lisp Markup Language functions
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Aug 2002
;;;;
;;;; $Id: data.lisp,v 1.1 2003/06/20 04:12:29 kevin Exp $
;;;;
;;;; This file, part of LML2, is Copyright (c) 2002 by Kevin M. Rosenberg
;;;;
;;;; LML2 users are granted the rights to distribute and use this software
;;;; as governed by the terms of the GNU General Public License v2
;;;; (http://www.gnu.org/licenses/gpl.html)
;;;; *************************************************************************

(in-package #:lml2)

(defvar *html-stream* *standard-output*)

(defvar *print-spaces* nil)
(defvar *indent* 0)

(defun html4-prologue-string ()
  "<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML//EN\">")

(defun xml-prologue-string ()
  "<?xml version=\"1.0\" encoding=\"iso-8859-1\" standalone=\"yes\"?>")

(defun xhtml-prologue-string ()
  "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.1//EN\" \"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd\">")
